
Foreman - Bug #29484

after_build hook is executed at the wrong host creation stage

04/06/2020 07:46 PM - Bernhard Suttner

Status: Rejected   

Priority: Normal   

Assignee: Bernhard Suttner   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7570

  

Description

Current:

def build_hooks

return if previous_changes['build'].nil?

if build?

run_callbacks :build do

build? is true! if the host IS in build stage. But, after_build should be the point in time, when the build is finished - so if build was set

from true to false. Currently, before_provision and after_build are mixed up.

History

#1 - 04/06/2020 07:50 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Bernhard Suttner

- Pull request https://github.com/theforeman/foreman/pull/7570 added

#2 - 04/07/2020 02:31 PM - Bernhard Suttner

- Status changed from Ready For Testing to Rejected

I came to the conclusion, that the sequence is fine. Sorry for opening the issue.
